Upload a medical certificate (Arztzeugnis) for one of the caller's entries.
curl --request POST \
--url https://{tenantHost}/api/v1/portal/employee/sick-leave/{id}/certificates \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://{tenantHost}/api/v1/portal/employee/sick-leave/{id}/certificates"
files = { "file": ("example-file", open("example-file", "rb")) }
response = requests.post(url, files=files)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST'};
options.body = form;
fetch('https://{tenantHost}/api/v1/portal/employee/sick-leave/{id}/certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"sickLeaveEntryId": "<string>",
"name": "<string>",
"originalName": "<string>",
"mimeType": "<string>",
"size": 0,
"downloadUrl": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z",
"uploadedBy": {
"id": "<string>",
"name": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}sick-leave
Upload a medical certificate (Arztzeugnis) for one of the caller's entries.
POST
/
api
/
v1
/
portal
/
employee
/
sick-leave
/
{id}
/
certificates
Upload a medical certificate (Arztzeugnis) for one of the caller's entries.
Path Parameters
Id of the sick-leave entry the certificate belongs to.
Body
multipart/form-data
The certificate file — PDF, JPEG or PNG, up to 10MB.